Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.command
Class ContentGetCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand
                  org.jboss.portal.cms.impl.jcr.command.ContentGetCommand

All Implemented Interfaces:
  java.io.Serializable

    public class ContentGetCommand

extends JCRCommand

Author:
  Roy Russo
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`context, JCR_COMMANDFATORY_ATTRIBUTE, JCR_LOCALE_ATTRIBUTE, JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`ContentGetCommand(java.lang.String sPath, java.util.Locale locale)` Retrieves the "LIVE" version of the content.
`ContentGetCommand(java.lang.String sPath, java.lang.String sVersionNumber, java.util.Locale locale)` Use this constructor for retrieveing a specific version of the content with a specific locale.

Method Summary
`java.lang.Object` | `execute()`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`getContext, setContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentGetCommand

    public ContentGetCommand(java.lang.String sPath,
                             java.util.Locale locale)

  Retrieves the "LIVE" version of the content.

  Parameters:
    `sPath` - Path of parent File.
    `locale` - content locale to retrieve

### ContentGetCommand

    public ContentGetCommand(java.lang.String sPath,
                             java.lang.String sVersionNumber,
                             java.util.Locale locale)

  Use this constructor for retrieveing a specific version of the content with a specific locale.

  Parameters:
    `sPath` - Path of parent File.
    `sVersionNumber` - Identifier used to retrieve the specific version.
    `locale` - Locale of content to be retrieved.

Method Detail

### execute

    public java.lang.Object execute()

  Specified by:
    `execute` in class `JCRCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.